Issue 9927

Title
Call Function.get per bunch of cache size
Priority
feature
Status
resolved
Nosy list
ced, nicoe, pokoli, reviewbot, roundup-bot
Assigned to
nicoe
Keywords
review

Created on 2020-12-08.09:49:44 by ced, last changed 1 month ago by roundup-bot.

Messages

New changeset 5f8781d9eb7d by Nicolas √Čvrard in branch 'default':
Call Function.get by bunch of cache size
https://hg.tryton.org/tryton-env/rev/5f8781d9eb7d
New changeset 0afa2a5de45a by Nicolas √Čvrard in branch 'default':
Call Function.get by bunch of cache size
https://hg.tryton.org/trytond/rev/0afa2a5de45a
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-12-11.19:41:35

For me we will get a better benefit to slice the ids in ModelSQL.read when calling the getter's. This is because for each getter we will have the sub-list of records in the cache instead of having an empty cache each time we call a getter.

Author: [hidden] (nicoe) Tryton committer
Date: 2020-12-11.18:56:29

Here's a review

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2020-12-08.09:49:43

As the Function field is instantiating the ids received and that most of them will access common (or loaded together) attributes from these instances, it is better to use a list of the size of the cache so different call will reuse the same cache. Otherwise on larger list, the cache will be dropped between successive calls.

History
Date User Action Args
2021-02-23 18:50:42roundup-botsetmessages: + msg64799
2021-02-23 18:50:38roundup-botsetmessages: + msg64798
nosy: + roundup-bot
status: chatting -> resolved
2021-02-18 12:40:47reviewbotsetmessages: + msg64687
2021-02-15 16:04:46reviewbotsetmessages: + msg64610
2021-02-15 10:28:38reviewbotsetmessages: + msg64596
2021-02-14 19:46:41reviewbotsetmessages: + msg64591
2021-02-05 16:59:40reviewbotsetmessages: + msg64345
2021-01-25 16:23:30reviewbotsetmessages: + msg64084
2021-01-22 17:54:18reviewbotsetmessages: + msg64051
2020-12-14 19:19:23reviewbotsetmessages: + msg63090

Showing 10 items. Show all history (warning: this could be VERY long)